Skip to content

Get the authenticated user’s remaining daily karma tip allowance

GET
/karma/tip-allowance
curl --request GET \
--url https://api.ethos.network/api/v2/karma/tip-allowance \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>'

Successful response

Media typeapplication/json
object
amount
required

Karma one tip gives.

integer
>= -9007199254740991 <= 9007199254740991
dailyAllowance
required
integer
>= -9007199254740991 <= 9007199254740991
isOpen
required

Whether the season is live, so tipping is open.

boolean
isPaused
required

Whether tipping is paused by the kill switch.

boolean
remaining
required
integer
>= -9007199254740991 <= 9007199254740991
resetsAt
required
string

Example generated

{
"amount": 1,
"dailyAllowance": 1,
"isOpen": true,
"isPaused": true,
"remaining": 1,
"resetsAt": "example"
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}